MCP Tools Reference: chatmcp.googleapis.com

Tool: update_notification_settings

Updates space notification preferences and/or mute state for a specific conversation (Google Chat space, group chat, or direct message) to manage conversational noise and protect focus time.

Preconditions:

  • conversationId is required (format: spaces/{space}).
  • At least one of notificationSetting or muteSetting must be provided.

Supported Notification Frequencies (notificationSetting):

  • ALL: Receive notifications for all messages.
  • MAIN_CONVERSATIONS: Receive notifications for main conversations only.
  • FOR_YOU: Receive notifications for mentions, @all, and followed threads (not supported in 1:1 direct messages).
  • OFF: Turn off all notifications.

Note: 1:1 Direct Messages do not support FOR_YOU. Setting FOR_YOU on a 1:1 DM is invalid and will return an INVALID_ARGUMENT error.

Supported Mute States (muteSetting):

  • UNMUTED: Unmute the conversation. Notifications are delivered according to notificationSetting.
  • MUTED: Mute the conversation. Suppresses all notifications regardless of notificationSetting.

Returns the updated SpaceNotificationSetting object containing notificationSetting and muteSetting.

The following code sample shows how to use curl to call the update_notification_settings MCP tool.

Curl Request
curl --location 'https://chatmcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "update_notification_settings",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

UpdateNotificationSettingsRequest

JSON representation
{
  "conversationId": string,
  "notificationSetting": enum (NotificationSetting),
  "muteSetting": enum (MuteSetting)
}
Fields
conversationId

string

Required. Resource name of the conversation, format: spaces/{space}.

notificationSetting

enum (NotificationSetting)

Optional. Notification frequency preference for the space.

muteSetting

enum (MuteSetting)

Optional. Mute status for the space.

NotificationSetting

Space notification frequency options in Google Chat.

Enums
NOTIFICATION_SETTING_UNSPECIFIED Unspecified notification setting.
ALL The user receives notifications for all messages in the conversation.
MAIN_CONVERSATIONS The user receives notifications for main conversations only.
FOR_YOU The user receives notifications for mentions, @all, and followed threads.
OFF The user receives no notifications for messages in the conversation.

MuteSetting

Mute status for a Google Chat conversation.

Enums
MUTE_SETTING_UNSPECIFIED Unspecified mute setting.
UNMUTED The conversation is unmuted.
MUTED The conversation is muted.

Output Schema

Space notification settings for a user in Google Chat, specifying the user's notification frequency preference and mute status for a space.

SpaceNotificationSetting

JSON representation
{
  "notificationSetting": enum (NotificationSetting),
  "muteSetting": enum (MuteSetting)
}
Fields
notificationSetting

enum (NotificationSetting)

Optional. Notification frequency preference for the space.

muteSetting

enum (MuteSetting)

Optional. Whether the space is muted.

NotificationSetting

Space notification frequency options in Google Chat.

Enums
NOTIFICATION_SETTING_UNSPECIFIED Unspecified notification setting.
ALL The user receives notifications for all messages in the conversation.
MAIN_CONVERSATIONS The user receives notifications for main conversations only.
FOR_YOU The user receives notifications for mentions, @all, and followed threads.
OFF The user receives no notifications for messages in the conversation.

MuteSetting

Mute status for a Google Chat conversation.

Enums
MUTE_SETTING_UNSPECIFIED Unspecified mute setting.
UNMUTED The conversation is unmuted.
MUTED The conversation is muted.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌

Authorization Scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.users.spacesettings